BazaarLinkBazaarLink
เข้าสู่ระบบ
เอกสารAPI ข้อมูลอ้างอิงSDK ข้อมูลอ้างอิงการใช้งาน AgentAI ทักษะ
รูปภาพ

ดึงรูปภาพที่แคชไว้

คืนค่าไบต์ดิบของภาพที่สร้างขึ้น เหตุการณ์ image-cached และค่า data[].url ในการตอบกลับการสร้างภาพชี้มาที่นี่ token เป็นข้อมูลรับรองการเข้าถึงในตัวเอง (ไม่ต้องใช้ API key) และหมดอายุหลัง 1 ชั่วโมง หลังจากนั้น endpoint คืนค่า 404

GET/api/v1/images/proxy/:token

พารามิเตอร์เส้นทาง

tokenจำเป็น
string

token รูปภาพที่ออกในการตอบกลับการสร้างภาพ รับเฉพาะ UUID v4 รูปแบบอื่นคืนค่า 404

UUID v4

คู่มือเชิงลึก →

GET /api/v1/images/proxy/:token
curl -o result.png \
  https://bazaarlink.ai/api/v1/images/proxy/9f1c2d3e-4a5b-4c6d-8e7f-0a1b2c3d4e5f
ตัวอย่างการตอบกลับ

สำเร็จ คืนค่าไบต์ดิบของภาพ (ไม่ใช่ JSON) โดย Content-Type เป็น MIME ของภาพ (SVG ถูกเปลี่ยนเป็น application/octet-stream เพื่อป้องกันการรันสคริปต์ same-origin) พร้อม header แคช immutable 1 ชั่วโมง

HTTP/1.1 200 OK
Content-Type: image/png
Content-Length: 428381
Cache-Control: public, max-age=3600, immutable
X-Content-Type-Options: nosniff
Content-Security-Policy: sandbox

<binary image bytes>
Support
Support
Hi! How can we help you?
Send a message and we'll get back to you soon.
ดึงรูปภาพที่แคชไว้ — BazaarLink API